unit FMPlug2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus;

type
  TFormMainPlug = class(TForm)
    MainMenu: TMainMenu;
    P1: TMenuItem;
    N2: TMenuItem;
  private
    { Private declarations }
  public
    { Public declarations }
  published
    //: Procedimiento a ejecutar
    procedure Execute(Sender:TObject);
  end;

var
  FormMainPlug: TFormMainPlug;

implementation

{$R *.dfm}


procedure TFormMainPlug.Execute(Sender: TObject);
begin

  // Intentar cambiar el color del form (Sender)
  if (Sender is TForm) then begin
    MessageDlg('Este plug-in cambia el color del form principal...', mtInformation, [mbOK], 0);
    TForm(Sender).Color := clInfoBk;
  end;

end;

//=========================================================================
//
// I N I T I A L I Z A T I O N
//
//=========================================================================
initialization
  // Registrar la clase del form
  RegisterClass(TFormMainPlug);

//=========================================================================
//
// F I N A L I Z A T I O N
//
//=========================================================================
finalization
  // Eliminar el registro de la clase
  UnregisterClass(TFormMainPlug);

end.

